## org.mortbay.thread
Interface ThreadPool

All Known Implementing Classes:
  BoundedThreadPool, IO, ThreadPool

    public interface ThreadPool

ThreadPool.

Author:
  gregw

Method Summary
`boolean` `dispatch(Runnable job)`
`int` `getIdleThreads()`
`int` `getThreads()`
`boolean` `isLowOnThreads()`
`void` `join()` Blocks until the thread pool is `stopped`.

Method Detail

### dispatch

    boolean dispatch(Runnable job)

### join

    void join()
              throws InterruptedException

  Blocks until the thread pool is `stopped`.

  Throws:
    `InterruptedException`

### getThreads

    int getThreads()

  Returns:
    The total number of threads currently in the pool

### getIdleThreads

    int getIdleThreads()

  Returns:
    The number of idle threads in the pool

### isLowOnThreads

    boolean isLowOnThreads()

  Returns:
    True if the pool is low on threads

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.